Package org.eclipse.mat.hprof.ui

## Class HprofPreferences

- java.lang.Object
- - org.eclipse.mat.hprof.ui.HprofPreferences

    public class HprofPreferences
    extends Object

Constant definitions for plug-in preferences

### Nested Class Summary

Nested Classes
`static class` `HprofPreferences.HprofStrictness` Enumeration for the parser strictness.

### Field Summary

Fields
`static String` `ADDITIONAL_CLASS_REFERENCES` Additional references for classes
`static HprofPreferences.HprofStrictness` `DEFAULT_STRICTNESS` Default strictness for preferences and value parsing
`static String` `STRICTNESS_PREF` Strictness of the HPROF parser

### Constructor Summary

Constructors
`HprofPreferences()`

### Method Summary

All Methods Static Methods Concrete Methods
`static HprofPreferences.HprofStrictness` `getCurrentStrictness()` Return the currently selected preference for strictness.
`static boolean` `useAdditionalClassReferences()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### STRICTNESS_PREF

    public static final String STRICTNESS_PREF

Strictness of the HPROF parser

See Also:
  Constant Field Values

#### DEFAULT_STRICTNESS

    public static final HprofPreferences.HprofStrictness DEFAULT_STRICTNESS

Default strictness for preferences and value parsing

#### ADDITIONAL_CLASS_REFERENCES

    public static final String ADDITIONAL_CLASS_REFERENCES

Additional references for classes

See Also:
  Constant Field Values

### Constructor Detail

#### HprofPreferences

    public HprofPreferences()

### Method Detail

#### getCurrentStrictness

    public static HprofPreferences.HprofStrictness getCurrentStrictness()

Return the currently selected preference for strictness. This first checks the preference store, and then checks for any -D$(STRICTNESS)=true command line arguments.

Returns:
  Current strictness preference or reflection of command line setting.

#### useAdditionalClassReferences

    public static boolean useAdditionalClassReferences()